#include <bits/stdc++.h>
#define int long long
using namespace std;
int n,k;
signed main(){ios::sync_with_stdio(false); cin.tie(NULL);
  cin>>n>>k; int a[n],one=0,two=0,zero=0;
  for(int i=0; i<n; i++){
    cin>>a[i];
	if(a[i]==1) one++;
	if(a[i]==2) two++;
	if(a[i]==0) zero++;
	}
	if(two==0){
       if(one>=k)cout<<1;
	   else cout<<0;	}
	else cout<<0;
  return 0;
}